httpd-docs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Graham Leggett <minf...@sharp.fm>
Subject Re: documenting -deps
Date Tue, 17 Jan 2012 21:14:27 GMT
On 17 Jan 2012, at 10:56 PM, William A. Rowe Jr. wrote:

>> The simplest fix for this issue is to modify the "file not found" error message to
say something sensible about requiring the -deps package.
> 
> make -F makefile.win emits this very sort of message, pointing the user
> to obtain the right package.


And now ./configure does too in r1232575:

Little-Net:httpd-trunk minfrin$ ./configure --with-included-apr
checking for chosen layout... Apache
checking for working mkdir -p... yes
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking build system type... x86_64-apple-darwin10.8.0
checking host system type... x86_64-apple-darwin10.8.0
checking target system type... x86_64-apple-darwin10.8.0

Configuring Apache Portable Runtime library ...

configure: error: Bundled APR requested but not found at srclib/apr. Download and unpack the
corresponding httpd-2.5.0-deps package over this one.

Regards,
Graham
--


Mime
View raw message